1

The installer doesn't work because it requires Python 3.6 to be installed as a framework in /Library/Frameworks (or so I believe). It is insufficient to have Python 3.6 installed by Macports (in /opt/local/Library/Frameworks). I don't know about Homebrew. I am not sanguine about trying to install Python into /Library/Frameworks. It is not clear where a binary from python.org does install, and whether it messes us links elsewhere in the directory structure. Does anyone have information about this? Why is the build from KyngChaos so inflexible?

  • See QGIS 3 Must use python.org Python 3 or If you use MacPorts use the QGIS version of MacPorts – gene Apr 7 '18 at 16:19
  • I plucked up courage, and installed the python3.6 download, python-3.6.5-macosx10.9.pkg. It installs into /Library/Frameworks and not, as I had feared, into /System/Library/Frameworks. Further, the python executable is named python3, as are the utilities commonly used (pip3, idle3..). I then was able to install the GDAL frameworks and the QGIS frameworks from KyngChaos. So afaik everything installed ok and not clobbering of the system python occurred. (But I now have no fewer than 4 pythons installed 27 and 36 from macports, 27 from the system, and this last 36) – Rob Stevens Apr 8 '18 at 18:22

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.